/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* This is an example of the function iswalnum(wint_t ).  This function checks
   if the parameter is an alphanumeric character.  If true, the function 
   returns a positive number, or zero if false.  
*/
#include <wctype.h>
#include <wchar.h>

int main() { 
    wint_t wc;

    wc = 'i';
    fputwc(wc, stdout);
    if(iswalnum(wc) != 0) 
    	printf(": is a alphanumeric character.\n");
    else
        printf(": is not an alphanumeric character.\n");
}

